Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 363251 - media-gfx/brlcad should require dev-tcltk/tkpng for archer
Summary: media-gfx/brlcad should require dev-tcltk/tkpng for archer
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-12 07:22 UTC by Elliott Rezny
Modified: 2011-04-18 22:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elliott Rezny 2011-04-12 07:22:11 UTC
the program archer is a next gen editor for brlcad. After setting ~arch kewords for the required packages to install brlcad and installing it without noticeable build errors I am unable to start archer. The error message is:

$archer
can't find package tkpng

ERROR: Unable to load tkpng

After adding ~arch for and installing dev-tcltk/tkpng, archer successfully starts.

Reproducible: Always

Steps to Reproduce:
1. Add ~arch for all packages nessecary to install brlcad and install it
2. Run /usr/brlcad/bin/archer
3. Profit...
Actual Results:  
$archer
can't find package tkpng

ERROR: Unable to load tkpng

Expected Results:  
A splash screen appears and the editor loads

I am running with KEYWORDS=amd64
Comment 1 Dongxu Li 2011-04-15 18:12:03 UTC
fixed for brlcad-7.18.4 in science-overlay
Comment 2 Andreas K. Hüttel gentoo-dev 2011-04-18 22:48:22 UTC
And in tree, thanks!